Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 22 Jun 2017, 22:09
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
How to get vlc working in unicorn pup?
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [12 Posts]  
Author Message
yr1945

Joined: 17 Apr 2010
Posts: 199

PostPosted: Sun 04 Jun 2017, 20:42    Post subject:  How to get vlc working in unicorn pup?  

Can anyone help me get vlc-2.0.0-bill2.pet working in unicornpup? I added 2 missing dependencies (ffmpeg & qt)... but it still doesn't run? Most pets work on my E6400 Dell laptop.Thank you.
Back to top
View user's profile Send private message 
csipesz


Joined: 08 Nov 2013
Posts: 174
Location: Isaszeg, Hungary

PostPosted: Sun 04 Jun 2017, 23:20    Post subject:  

Vlc 2.0.0??? - it a little bit old... for the acquisition of the vlc not the PPM(Puppy Package Manager) you used it? Has to be newer there... And you obtain all of the dependence to it.
Back to top
View user's profile Send private message 
yr1945

Joined: 17 Apr 2010
Posts: 199

PostPosted: Mon 05 Jun 2017, 06:22    Post subject:  

Removed vlc-2.0.0-bill2.pet and installed vlc 2.2.0-tahr from puppy package manager... that one will not work either? Thank you.
Back to top
View user's profile Send private message 
csipesz


Joined: 08 Nov 2013
Posts: 174
Location: Isaszeg, Hungary

PostPosted: Mon 05 Jun 2017, 06:52    Post subject:  

Vlc 2.2.0 Weatherwax works good for me in unicorn system - i hope for you too.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 1734
Location: 500 seconds from Sol

PostPosted: Mon 05 Jun 2017, 15:57    Post subject: Outfitting a dead horse  

Hi yr1945,

Ubuntu creates operating systems intended to be Full installs taking up an entire partition, requiring a minimum of 4Gb and a recommendation of at least 10 Gb of Storage and at least 1 Gb of RAM. It has the financial resources to support the full time employment of professionals to work on system development. Lest it appear to be doing nothing for the long stretches of time between its Long Term (5 year supported) Systems, it publishes "interim" operating systems. Utopic Unicorn was one of them. It was published on October 23, 2014 with an announced End of Life --after which it would receive NO support from Ubuntu-- 9 months later on July 23, 2015. http://fridge.ubuntu.com/2015/07/03/ubuntu-14-10-utopic-unicorn-reaches-end-of-life-on-july-23-2015/.

666philb did a marvelous job in creating Unicornpup, "woofing" the essential binaries from Utopic Unicorn and stripping out almost everything else to create a "base for remastering" occupying only 135 Mbs of "storage" space, and designed to be run as a Frugal Install using only about 512 Mbs of RAM. 666philb, like all of Puppy Linux's handful of Devs, is a fan/volunteer, motivated by personal interests rather than financial rewards. But overall, the basic design of a Puppy is modular. So while Ubuntu can afford to spend its resources on developing an almost entirely new system as the improvements to the Linux kernel become available --their interim OSes-- Puppy can more efficiently make use of the improvements in kernels by just replacing the old kernels*. And it has developed an almost "newbie-friendly" method for doing that. Kernels newer than that built into UnicornPup are available for Tahrpups, Xenialpups**, and Slackos.

If a light-weight OS is your necessity, you might want to take a look at this thread, http://www.murga-linux.com/puppy/viewtopic.php?p=833076#833076 and the comments about gray's X-tahr and Geoffrey's link to X-Slacko Slim.

mikesLr

* Lupu Revitalized, has utilized a different approach toward maintaining the viability of the operating system Ubuntu abandoned 5 years ago: the annual, or more frequent, updating of essential applications.

** Xenial Xerus is the LTS operating system by Ubuntu which succeded Trusty Tahr. Ubuntu will continue to support it until (April?) 2021. Unlike "interim" publications, security patches may be made available for LTS systems even after their EOL.
Back to top
View user's profile Send private message 
yr1945

Joined: 17 Apr 2010
Posts: 199

PostPosted: Mon 05 Jun 2017, 17:08    Post subject:  

csipesz, thank you for your feedback. I downloaded other, more recent, VLC pets, as well as a couple of VLC ubuntu deb packages... but none of them would run in unicornpup. I'll keep trying various options. yr1945
Back to top
View user's profile Send private message 
yr1945

Joined: 17 Apr 2010
Posts: 199

PostPosted: Mon 05 Jun 2017, 19:36    Post subject:  

mikeslr, I appreciate your informative post. It helps me better understand things. I will try the pups that you suggested. yr 1945
Back to top
View user's profile Send private message 
festus


Joined: 14 Jan 2015
Posts: 94

PostPosted: Tue 06 Jun 2017, 07:41    Post subject:  

@ yr1945

This one works for me in many diff pups:
http://www.smokey01.com/OscarTalks/vlc-2.1.0-i686-nodeps-s14.sfs

festus
Back to top
View user's profile Send private message 
yr1945

Joined: 17 Apr 2010
Posts: 199

PostPosted: Tue 06 Jun 2017, 17:28    Post subject:  

festus, thank you for the sfs... I tried it numerous times, but I still can't get VLC to run on unicornpup.

However, it works with every other pup that I have tried...
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 11720
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 14 Jun 2017, 02:26    Post subject: vlc-2.1.4 rincewind should work  

You like Puppy for entertainment, music, video, photo ? Use Precise version, you will avoid lot of bugs or unserviceable apps, mainly of Mpeg not included in Tahrpup and following versions. Not only one video app in unicorn 6.0. Easy to install ? so why not yet installed... Evil or Very Mad Because that is of no interest for some puppy Builders. Better use european versions for which local experts finalized with translations and adding missings apps . Legopen is an unicorn version made in Hungaria. Linux expert has included VLC not to disturb people by such a headache to find a working version.
Pfranz Puppy with a browser and a video player Building cars or reparing it is not a hobby for most drivers, it would be more a nightmare. The same for Puppy, our dear Puppy, so speedy and easy to use.


"tahr-6.02 updated to 6.0.5 via quickpet and vlc-2.1.4 rincewind works "
Unicorn 6.0 ( =Unicornpup ?) installed grub4dos just now to check with VLC 2.1.4.
Feed-back coming"VLC in Tahr needs hevc/h.265 codec for playing videos" If Thar then unicorn too.

_________________
Damned Puppy, come back home with Papy Evil or Very Mad !

Last edited by Pelo on Thu 15 Jun 2017, 03:56; edited 13 times in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 11720
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 14 Jun 2017, 03:05    Post subject: miss H264.
Subject description: avi will play, not mpeg
 

Results : wheezy sfs : ok on screen, but first try with one of my videos MPEG > miss H264. no way to resolve, tells me the error message.

PPM Utopic now active Smile 2.2.0 provided, well, wait an see.
Smile VLC installed.... A battle won, not the war (CDG)

Csipesz says that it works in Hungary.. Personnally i used in the past the Hungarian version of Unicorn ( by pfranz), all bugs were resolved by Skamilinux team.
You can use X-Slim slacko, Mistfire does his best to satisfy passenger's pleasure, in the less MBs as possible. Nice Puppy, as said mikeslr.

Idea To get PPM Utopic unicorn active, use Augras pet for Raring (joined)
raring3.9.9.2-SCSI_repository_update.pet
Description  Merci Augras.. That gets all puppies serviceable From Vivid to Lucid. Small pet, huge effects
pet

 Download 
Filename  raring3.9.9.2-SCSI_repository_update.pet 
Filesize  722 Bytes 
Downloaded  3 Time(s) 

_________________
Damned Puppy, come back home with Papy Evil or Very Mad !
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 11720
Location: Mer méditerrannée (1 kms°)

PostPosted: Thu 15 Jun 2017, 04:02    Post subject: VLC is able to read MP4  

VLC from PPM unicorn works, but cannot read MP4 and MPEG.
Forums (fora) inform that VLC is able to read MP4. Some codecs are missing in Puppy Linux versions, that would be the explanation.
"Je possède le logiciel VLC 2.05.
je peux toujours lire mes films MP4 réalisés il y à 2 ans.
Aujourd'hui, je ne peux plus lire les films toujours en MP4 réalisés avec la mème caméra Sanyo Full HD."
Same user, same VLC 2.05, same camera, old MP4 are read, not newer ones, says the French guy.. Strange..

_________________
Damned Puppy, come back home with Papy Evil or Very Mad !
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [12 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0602s ][ Queries: 14 (0.0061s) ][ GZIP on ]